Page MenuHomePhabricator

Phase out antimony.wikimedia.org (git.wikimedia.org / gitblit)
Closed, ResolvedPublic

Description

gitblit will be replaced by Phabricator Diffusion, once that is finished antimony can be decomissioned.

Only blockers need to be done before decomissioning.

Event Timeline

MoritzMuehlenhoff raised the priority of this task from to Needs Triage.
MoritzMuehlenhoff updated the task description. (Show Details)
MoritzMuehlenhoff added a project: Operations.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 15 2016, 11:38 AM
Dzahn set Security to None.
Dzahn changed the task status from Open to Stalled.Apr 11 2016, 6:49 PM
Dzahn triaged this task as Normal priority.

This is stalled as long as we use gitblit. (Or we just upgrade it in place anyways, so we don't wait for that)

... or how about just putting gitblit on a jessie VM and shutting this server down? shouldn't have a hard blocker.hm?

Dzahn renamed this task from Phase out antimony.wikimedia.org to Phase out antimony.wikimedia.org (git.wikimedia.org / gitblit).Apr 11 2016, 6:54 PM
demon added a comment.Apr 11 2016, 7:06 PM

... or how about just putting gitblit on a jessie VM and shutting this server down? shouldn't have a hard blocker.hm?

That works easily enough too.

Dzahn added a comment.Apr 11 2016, 8:01 PM

We removed Apache and config and the SSL key from antimony...

Gotta fix the Icinga monitoring check next, since it checked Apache on antimony. We need to move it to a virtual host.

Change 282758 had a related patch set uploaded (by Dzahn):
gitblit: don't monitor if apache is running anymore

https://gerrit.wikimedia.org/r/282758

Change 282758 merged by Dzahn:
gitblit: don't monitor if apache is running anymore

https://gerrit.wikimedia.org/r/282758

Change 282796 had a related patch set uploaded (by Dzahn):
gitblit/icinga: move git.wm.org monitoring to virtual host

https://gerrit.wikimedia.org/r/282796

Change 282796 merged by Dzahn:
gitblit/icinga: move git.wm.org monitoring to virtual host

https://gerrit.wikimedia.org/r/282796

Dzahn added a comment.Apr 11 2016, 9:13 PM

We removed Apache and config and the SSL key from antimony...
Gotta fix the Icinga monitoring check next, since it checked Apache on antimony. We need to move it to a virtual host.

fixed: https://icinga.wikimedia.org/cgi-bin/icinga/status.cgi?host=git.wikimedia.org&nostatusheader

Change 282814 had a related patch set uploaded (by Dzahn):
site/install/dhcp: add furud.codfw.wmnet

https://gerrit.wikimedia.org/r/282814

Change 282816 had a related patch set uploaded (by Dzahn):
introduce furud.codfw.wmnet

https://gerrit.wikimedia.org/r/282816

Change 282816 merged by Dzahn:
introduce furud.codfw.wmnet

https://gerrit.wikimedia.org/r/282816

Change 282814 merged by Dzahn:
site/install/dhcp: add furud.codfw.wmnet

https://gerrit.wikimedia.org/r/282814

Change 284086 had a related patch set uploaded (by Dzahn):
gitblit: ensure /var/lib/gitblit exists

https://gerrit.wikimedia.org/r/284086

Change 284086 merged by Dzahn:
gitblit: ensure /var/lib/gitblit exists

https://gerrit.wikimedia.org/r/284086

Change 284100 had a related patch set uploaded (by Dzahn):
gitblit: add systemd unit, if jessie use it

https://gerrit.wikimedia.org/r/284100

Change 284100 merged by Dzahn:
gitblit: add systemd unit, if jessie use it

https://gerrit.wikimedia.org/r/284100

existing puppet class now runs without errors on furud, systemd unit file is added when on jessie. next is that java is not installed yet and that wasn't puppetized

Change 284104 had a related patch set uploaded (by Dzahn):
gitblit: install openjdk-7-jre

https://gerrit.wikimedia.org/r/284104

Change 284104 merged by Dzahn:
gitblit: install openjdk-7-jre

https://gerrit.wikimedia.org/r/284104

Change 284200 had a related patch set uploaded (by Chad):
Use legacy key exchanges on yurud, like antimony

https://gerrit.wikimedia.org/r/284200

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 3:03 PM

Change 284200 merged by Dzahn:
Use legacy key exchanges on furud, like antimony

https://gerrit.wikimedia.org/r/284200

demon moved this task from Backlog to In Progress on the Gitblit-Deprecate board.May 2 2016, 4:36 PM
Dzahn added a comment.May 2 2016, 4:36 PM

@demon Is furud going to be used or not needed anymore?

demon added a comment.May 2 2016, 5:06 PM

Nah, we won't need it after all. Plan to have patches up for decom by end of the week.

Dzahn added a comment.May 2 2016, 5:07 PM

Ok, thanks. I'll help with that. Just wanted to know. Focus on killing antimony first :)

Paladox removed a subscriber: gerritbot.

Change 292971 had a related patch set uploaded (by Dzahn):
remove furud from site.pp,dhcp,installserver

https://gerrit.wikimedia.org/r/292971

Dzahn added a comment.Jun 6 2016, 8:59 PM

https://gerrit.wikimedia.org/r/#/c/292940/

gerrit-replication to furud has been removed, see comments on that gerrit

Change 292971 merged by Dzahn:
remove furud from site.pp,dhcp,installserver

https://gerrit.wikimedia.org/r/292971

Change 293747 had a related patch set uploaded (by Dzahn):
switch git.wikimedia.org from misc to text cluster

https://gerrit.wikimedia.org/r/293747

mmodell changed the task status from Stalled to Open.Jun 15 2016, 5:55 PM
JanZerebecki updated the task description. (Show Details)Jun 17 2016, 5:14 PM

I'm going to merge this into T137224 since that task is also doing what this task here is describing.

Paladox reopened this task as Open.Jun 20 2016, 5:58 PM

Per @greg since this is a tracking task.

Dzahn added a comment.Jun 21 2016, 3:11 AM

@Paladox this is about decom'ing antimony after gitblit is gone. slightly different. but i will take it

Dzahn claimed this task.Jun 21 2016, 3:11 AM

Change 293747 abandoned by Dzahn:
switch git.wikimedia.org from misc to text cluster

Reason:
we are putting the rules on the phabricator host instead

https://gerrit.wikimedia.org/r/293747

Change 296616 had a related patch set uploaded (by Dzahn):
Remove antimony

https://gerrit.wikimedia.org/r/296616

Change 296616 merged by Dzahn:
Remove antimony

https://gerrit.wikimedia.org/r/296616

Change 296617 had a related patch set uploaded (by Dzahn):
Remove antimony from dns

https://gerrit.wikimedia.org/r/296617

Dzahn added a comment.Jun 29 2016, 7:25 PM

[palladium:~] $ puppetstoredconfigclean.rb antimony.wikimedia.org
Killing antimony.wikimedia.org...done.
[palladium:~] $

root@palladium:~# puppet cert clean antimony.wikimedia.org
Notice: Revoked certificate with serial 820
Notice: Removing file Puppet::SSL::Certificate antimony.wikimedia.org at '/var/lib/puppet/server/ssl/ca/signed/antimony.wikimedia.org.pem'
..

[neodymium:~] $ sudo salt-key -d antimony.wikimedia.org
The following keys are going to be deleted:
Accepted Keys:
antimony.wikimedia.org
Proceed? [N/y] y
Key for minion antimony.wikimedia.org deleted.

Dzahn closed this task as Resolved.Jun 29 2016, 7:40 PM

12:44 < mutante> !log antimony - shutdown -h now (since it's gone from Icinga now)

Broadcast message from dzahn@antimony
(/dev/pts/3) at 19:39 ...

The system is going down for halt NOW!
root@antimony:~# tcsetattr: Interrupted system call

Connection to antimony.wikimedia.org closed by remote host.

Change 296617 merged by Dzahn:
Remove antimony from dns

https://gerrit.wikimedia.org/r/296617

Danny_B moved this task from In Progress to Done on the Gitblit-Deprecate board.Jun 29 2016, 8:55 PM